## octave-bsltl 1.1.1

=== DESCRIPTION ===
Name: bsltl
Version: 1.1.1
Date: 2016-09-07
Author: Roberto Alves Braga Junior <robertobraga@deg.ufla.br>, Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>, Junio Moreira <juniomoreira@iftm.edu.br>
Maintainer: Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>
Title: Biospeckle Laser Tool Library.
Description: The BSLTL package is a free collection of OCTAVE/MATLAB routines for working with the biospeckle laser technique.
Categories: Biospeckle Laser, Dynamic Laser Speckle,  Processing Images
#Problems: Nothing that I know
Url: http://www.nongnu.org/bsltl/
Depends: octave (>= 3.8.0)
License: GPLv3+
#SystemRequirements: 
#BuildRequires:

=== debian/changelog ===
octave-bsltl (1.1.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:53:47 -0200

octave-bsltl (1.1.1-1) unstable; urgency=low

  * Initial release (closes: #898139)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Jun 2018 12:20:47 -0300

=== debian/control ===
Source: octave-bsltl
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.0),
               texinfo
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/bsltl/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-bsltl.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-bsltl
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-bsltl
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: biospeckle laser tool library for Octave
 The BSLTL package is a free collection of routines for working with
 the digital processing of biospeckle laser pattern images in Octave,
 a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_auto_build:
	dh_auto_build
	( cd doc ; makeinfo overview.texi ; mv overview.info octave-bsltl.info )

## octave-bsltl 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: bsltl
-Version: 1.1.1
-Date: 2016-09-07
+Version: 1.3.1
+Date: 2019-01-14
 Author: Roberto Alves Braga Junior <robertobraga@deg.ufla.br>, Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>, Junio Moreira <juniomoreira@iftm.edu.br>
 Maintainer: Fernando Pujaico Rivera <fernando.pujaico.rivera@gmail.com>
 Title: Biospeckle Laser Tool Library.
@@ -8,7 +8,7 @@
 Categories: Biospeckle Laser, Dynamic Laser Speckle,  Processing Images
 #Problems: Nothing that I know
 Url: http://www.nongnu.org/bsltl/
-Depends: octave (>= 3.8.0)
+Depends: octave (>= 4.0.0)
 License: GPLv3+
 #SystemRequirements: 
 #BuildRequires:

=== debian/changelog ===
octave-bsltl (1.3.1-5) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add Repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Fri, 10 Oct 2025 07:42:48 -0300

octave-bsltl (1.3.1-4) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Rafael Laboissière ]
  * d/rules: Use targets execute_after_dh_* instead of override_dh_*
  * d/watch:
    + Upgrade to standard version 4
    + Adjust for new URL at gnu-octave.github.io
  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 03:21:23 -0300

octave-bsltl (1.3.1-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Add FAQ and Reference fields
    + Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jul 2020 05:44:21 -0300

octave-bsltl (1.3.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/rules: Fix permission of installed *.m files

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Nov 2019 14:10:22 -0300

octave-bsltl (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 05 Sep 2019 09:17:44 -0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.0),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave,
                texinfo
-Standards-Version: 4.3.0
-Homepage: https://octave.sourceforge.io/bsltl/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/bsltl/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-bsltl.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-bsltl
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-bsltl
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_after_dh_auto_build:
	( cd doc ; makeinfo overview.texi ; mv overview.info octave-bsltl.info )

execute_after_dh_auto_install:
	find debian/octave-bsltl -name \*.m -exec chmod -x \{} \;

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/bsltl/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/bsltl-@ANY_VERSION@@ARCHIVE_EXT@
